This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 894187 - AGPLv3+ not recognized as valid license
AGPLv3+ not recognized as valid license
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 18:36 EST by Christian Krause
Modified: 2013-10-25 13:39 EDT (History)
8 users (show)

See Also:
Fixed In Version: rpmlint-0.94-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 03:03:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
add AGPLv3+ to the list of valid licenses (608 bytes, patch)
2013-10-08 00:26 EDT, Ken Dreyer
no flags Details | Diff

  None (edit)
Description Christian Krause 2013-01-10 18:36:31 EST
Description of problem:
AGPLv3+ is not recognized as valid license, but it is acceptable for Fedora:
https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses


Version-Release number of selected component (if applicable):
rpmlint-1.4-11.fc17.noarch

How reproducible:
100%

Steps to Reproduce:
1. check a package which contains AGPLv3+ in its license tag:
rpmlint anki-2.0.4-1.fc19.src.rpm
  
Actual results:
anki.src: W: invalid-license AGPLv3+


Expected results:
license should be accepted

Comments:
I have not checked whether the issue is present in F16, F18 or rawhide.
Comment 1 Fedora End Of Life 2013-07-03 23:41:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 07:36:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Orion Poplawski 2013-08-01 16:45:07 EDT
Still this case.
Comment 4 Ken Dreyer 2013-10-08 00:26:42 EDT
Created attachment 809065 [details]
add AGPLv3+ to the list of valid licenses

The problem is that the "rpmlint.config" file in rpmlint's packaging does not contain AGPLv3+. I'm attaching a patch that adds it. Tom, would you mind applying this to rpmlint's packaging repository? It should apply to the rawhide/master branch.
Comment 5 Fedora Update System 2013-10-09 19:51:57 EDT
rpmlint-1.5-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpmlint-1.5-4.fc19
Comment 6 Fedora Update System 2013-10-09 19:52:19 EDT
rpmlint-1.5-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpmlint-1.5-4.fc20
Comment 7 Fedora Update System 2013-10-09 19:52:35 EDT
rpmlint-1.5-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rpmlint-1.5-4.fc18
Comment 8 Fedora Update System 2013-10-09 19:53:27 EDT
rpmlint-0.94-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rpmlint-0.94-3.el5
Comment 9 Fedora Update System 2013-10-10 10:45:56 EDT
Package rpmlint-1.5-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.5-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18747/rpmlint-1.5-4.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-10-14 03:03:53 EDT
rpmlint-1.5-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-14 13:14:24 EDT
rpmlint-1.5-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-10-15 02:39:10 EDT
rpmlint-1.5-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-10-19 05:07:10 EDT
rpmlint-1.5-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-10-25 13:39:10 EDT
rpmlint-0.94-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.